[project]
name = "nixprstatus"
version = "0.1.17"
description = "Nixpkgs PR status checker"
readme = "README.md"
requires-python = ">=3.12"
dependencies = [
    "pydantic>=2.10.2",
    "requests>=2.32.3",
    "typer>=0.13.1",
]

[project.scripts]
nixprstatus = "nixprstatus.__main__:main"

[dependency-groups]
dev = [
    { include-group = "typing" },
    { include-group = "lint" },
]
typing = [
    "mypy>=1.13.0",
    "types-requests>=2.32.0.20241016",
]
lint = [
    "ruff>=0.8.0",
]

[tool.uv]
package = true
